<html><body>
<p><font size="2" face="sans-serif">I uninstalled ghc, removed my ~/.cabal directory, reinstalled ghc, then tried to install snap. I get:</font><br>
<br>
<font size="2" face="sans-serif">$ cabal install snap</font><br>
<font size="2" face="sans-serif">Resolving dependencies...</font><br>
<font size="2" face="sans-serif">Downloading syb-0.3.6...</font><br>
<font size="2" face="sans-serif">&lt;command line&gt;: cannot satisfy -package Cabal-1.14.0: </font><br>
<font size="2" face="sans-serif">    Cabal-1.14.0-0338b6f52e6e6a56054371a110e1d79e is unusable due to missing or recursive dependencies:</font><br>
<font size="2" face="sans-serif">      directory-1.1.0.2-8957520ced1fb19160c3a6126dcccfaa process-1.1.0.1-91185c964ab744c1f3cbca1863d2ba45</font><br>
<font size="2" face="sans-serif">    (use -v for more information)</font><br>
<font size="2" face="sans-serif">cabal: Error: some packages failed to install:</font><br>
<font size="2" face="sans-serif">aeson-0.6.0.0 depends on syb-0.3.6 which failed to install.</font><br>
<font size="2" face="sans-serif">snap-0.8.0.2 depends on syb-0.3.6 which failed to install.</font><br>
<font size="2" face="sans-serif">syb-0.3.6 failed during the configure step. The exception was:</font><br>
<font size="2" face="sans-serif">ExitFailure 1</font><br>
<br>
<br>
<br>
<font size="1" face="sans-serif">Any ideas?</font><br>
<br>
<font size="1" face="sans-serif">Mike.</font><br>
<font size="1" face="sans-serif"><br>
</font></body></html>